# Uses of Enum Class
java.time.format.SignStyle

Packages that use SignStyle
Package
Description
java.time.format
Provides classes to print and parse dates and times.

- ## Uses of SignStyle in java.time.format

  Subclasses with type arguments of type SignStyle in java.time.format
  Modifier and Type
  Class
  Description
  `enum`
  `SignStyle`
  Enumeration of ways to handle the positive/negative sign.
  Methods in java.time.format that return SignStyle
  Modifier and Type
  Method
  Description
  `static SignStyle`
  SignStyle.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SignStyle[]`
  SignStyle.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in java.time.format with parameters of type SignStyle
  Modifier and Type
  Method
  Description
  `DateTimeFormatterBuilder`
  DateTimeFormatterBuilder.`appendValue(TemporalField field, int minWidth, int maxWidth, SignStyle signStyle)`
  Appends the value of a date-time field to the formatter providing full control over formatting.